<div class="modal fade" id="modalValidarStock" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="validateStockLabel" aria-hidden="true">
	<div class="modal-dialog modal-lg" role="document">
		<div class="modal-content">
			<div class="modal-wait">
				<div class="modal-header">
					<h5 class="modal-title" id="validateStockLabel">Validar Stock Físico de <strong class="nombre-producto"></strong> en <strong class="nombre-almacen"></strong></h5>
					<button type="button" class="close" data-dismiss="modal" aria-label="Close">
						<span aria-hidden="true">&times;</span>
					</button>
				</div>
				<div class="modal-body">
					
					<form id="formValidarStock" action="/almacenes/validar_stock_save" method="post">
						<input type="hidden" name="id" id="idAlmacenProducto" value="0" />
						<input type="hidden" name="status" id="statusValidarStock" value="" />
						<div class="form-group row">
							<h6 class="col-12">El Stock Físico corresponde a todos los productos encontrados, independiente de si se encuentran reservados o disponibles.</h6>
						</div>
						
						<div class="form-group row">
							<label class="col-sm-4 col-form-label">Última Validación</label>
							<label class="col-sm-8 col-form-label"><strong class="ultima-revision"></strong></label>
						</div>
						<div class="form-group row">
							<label for="stock_sistema" class="col-sm-4 col-form-label">Stock en Sistema</label>
							<div class="col-sm-3">
								<input type="number" name="stock_sistema" class="form-control input-stock-sistema" disabled="disabled">
							</div>
						</div>
						<div class="form-group row">
							<label for="stock_encontrado" class="col-sm-4 col-form-label">Stock Físico Encontrado</label>
							<div class="col-sm-3">
								<input type="number" name="stock_encontrado" class="form-control input-stock-encontrado" placeholder="Stock Encontrado">
							</div>
						</div>
						<div class="form-group row d-none">
							<div class="col-sm-12 text-right">
							<button type="submit" class="btn btn-primary btn-crear">Validar</button>
							</div>
						</div>
					</form>

				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-secondary btn-close" data-dismiss="modal">Cerrar</button>
					<button type="button" class="btn btn-primary btn-validar-stock" id="editarUbicacion">Validar</button>
				</div>
			</div>
		</div>
	</div>
</div>

<script>
$(document).ready(function() {

	// carga Datos Almacen producto

	$('#modalValidarStock').on('show.bs.modal', function (event) {
		var button = $(event.relatedTarget)
		var modal = $(this);
		var status = button.data('status');

		var parametros = {
			id : button.data('id')
		};

		modal.find('.btn-validar-stock').addClass('btn-primary').removeClass('btn-danger').html('Validar').removeAttr('disabled');
		if (status != 'ok') {
			modal.find('.btn-validar-stock').addClass('btn-danger').removeClass('btn-primary').html('Reportar Error').attr('disabled', 'disabled');
		}

		$.ajax({
			data:  parametros,
			url:   '/almacenes/get_almacen_producto',
			type:  'post',
			beforeSend: function () {
			},
			success:  function (response) {
				almacenProducto = JSON.parse(response);
				modal.find('#idAlmacenProducto').val(almacenProducto.id);
				modal.find('#statusValidarStock').val(status);
				modal.find('.nombre-producto').html(almacenProducto.nombre_producto);
				modal.find('.nombre-almacen').html(almacenProducto.nombre_almacen);
			
				modal.find('.input-stock-sistema').val(almacenProducto.stock);
				if (almacenProducto.id_revisor != "0") {
					modal.find('.ultima-revision').html(fecha(almacenProducto.fecha_revision) + ' por ' + almacenProducto.nombre_revisor);
				}
				else {
					modal.find('.ultima-revision').html('Nunca');
				}

				if (status == 'ok') {
					modal.find('.input-stock-encontrado').val(almacenProducto.stock).attr('disabled', 'disabled');
				}
				else {
					modal.find('.input-stock-encontrado').val('').removeAttr('disabled');
				}
				//modal.find('.input-stock-encontrado').val(almacenProducto.nombre);
			}
		});
	});


	// Al cambiar input-stock-encontrado valida que sea distinto al stock de sistema
    $(document).on('change', '.input-stock-encontrado', function() {
        let stock_encontrado = $(this).val();
        let stock_sistema = $('.input-stock-sistema').val();

        if (stock_encontrado == stock_sistema) {
			// Bloquea btn reportar
			$('.btn-validar-stock').attr('disabled', 'disabled');
        }
		else {
			// Habilita boton
			$('.btn-validar-stock').removeAttr('disabled');
		}
    });



	$('#modalValidarStock #formValidarStock').submit(function( event ) {
		event.preventDefault();
		$('#modalValidarStock .btn-validar-stock').click();
	});


	$('#modalValidarStock .btn-validar-stock' ).click(function() {
		var id = $('#idAlmacenProducto').val();
		console.log(id);
		var parametros = $('#formValidarStock').serialize();
		$.ajax({
			data:  parametros,
			url:   '/almacenes/save_validar_stock',
			type:  'post',
			beforeSend: function () {
			},
			success:  function (response) {
				var revision = JSON.parse(response);
				$('.almacen-producto-' + id ).find('.fecha-revision').html(fecha(revision.fecha_revision));

				if (revision.error) {
					//pintar fila y quitar botones
					$('.almacen-producto-' + id ).addClass('error');
					$('.almacen-producto-' + id ).find('.btn-success').remove();
					$('.almacen-producto-' + id ).find('.btn-danger').remove();
				}
				$('#modalValidarStock').modal('hide');
			}
		});
	});
	
	/*
	$('#modalValidarStock .btn-eliminar').click(function() {
		if (confirm('Eliminar')) {
			var id = $('#idProveedor').val();
			var parametros = {
				id : id
			};
			$.ajax({
				data:  parametros,
				url:   '/proveedores/delete',
				type:  'post',
				beforeSend: function () {
				
				},
				success:  function (response) {
					$('#proveedor' + id).remove();
					$('#modalValidarStock').modal('hide');
				}
			});
		}
	});
	*/
});
</script>